GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
grpc_metadata_batch Struct Reference

`#include <stream_op.h>`

## Data Fields
grpc_mdelem_list | list
| Metadata elements in this batch. More...
grpc_mdelem_list | garbage
| Elements that have been removed from the batch, but have not yet been unreffed - used to allow collecting garbage under a single metadata context lock. More...
gpr_timespec | deadline
| Used to calculate grpc-timeout at the point of sending, or gpr_inf_future if this batch does not need to send a grpc-timeout. More...

## Field Documentation

gpr_timespec grpc_metadata_batch::deadline

Used to calculate grpc-timeout at the point of sending, or gpr_inf_future if this batch does not need to send a grpc-timeout.

grpc_mdelem_list grpc_metadata_batch::garbage

Elements that have been removed from the batch, but have not yet been unreffed - used to allow collecting garbage under a single metadata context lock.

grpc_mdelem_list grpc_metadata_batch::list

Metadata elements in this batch.

The documentation for this struct was generated from the following file:

- src/core/transport/stream_op.h